require 'minitest/autorun'
require './lib/example'
require 'mocha/minitest' # gem utilizada para fazer o mock do resultado no teste

class ExampleTest < Minitest::Test

 def test_random_name
   Array.any_instance.stubs(:sample).returns('Samwise Gangee')
   assert Example.random_name == 'Samwise Gangee'
 end

 def test_random_email
   Array.any_instance.stubs(:sample).returns('Samwise Gangee')
   assert Example.random_email == 'samwise.gangee@shire.com.me'
 end
end